package com.info666.infraredRemote;

import lombok.extern.slf4j.Slf4j;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.autoconfigure.jdbc.DataSourceAutoConfiguration;
import org.springframework.context.ConfigurableApplicationContext;
import org.springframework.core.env.Environment;

import javax.annotation.PostConstruct;
import java.util.TimeZone;

/**
 * 启动程序
 * 
 * @author ruoyi
 */
@Slf4j
@SpringBootApplication(exclude = { DataSourceAutoConfiguration.class },
        scanBasePackages = {"com.info666.infraredRemote.*","com.ruoyi.*"})
public class ApiApplication
{

    public static ConfigurableApplicationContext Context;

    //设置时区,防止容器化部署使用默认的标准时区
    @PostConstruct
    void setDefaultTimezone() {
        TimeZone.setDefault(TimeZone.getTimeZone("Asia/Shanghai"));
    }

    public static void main(String[] args) {
        SpringApplication application = new SpringApplication(ApiApplication.class);
        Context = application.run(args);
        Environment environment = Context.getBean(Environment.class);
        String basePath = environment.getProperty("server.port") + environment.getProperty("server.servlet.context-path","");
        log.info("Swagger-UI: http://127.0.0.1:{}/swagger-ui/index.html",basePath);
        log.info("Swagger-UI: http://127.0.0.1:{}/doc.html",basePath);
        log.info("Server-druid: http://127.0.0.1:{}/druid/index.html",basePath);
        System.out.println("(♥◠‿◠)ﾉﾞ  若依启动成功   ლ(´ڡ`ლ)ﾞ  \n" +
                " .-------.       ____     __        \n" +
                " |  _ _   \\      \\   \\   /  /    \n" +
                " | ( ' )  |       \\  _. /  '       \n" +
                " |(_ o _) /        _( )_ .'         \n" +
                " | (_,_).' __  ___(_ o _)'          \n" +
                " |  |\\ \\  |  ||   |(_,_)'         \n" +
                " |  | \\ `'   /|   `-'  /           \n" +
                " |  |  \\    /  \\      /           \n" +
                " ''-'   `'-'    `-..-'              ");
    }
}
