package com.ruoyi.common.core.domain;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

/**
 * Created by TerryJ
 */
@Data
public class BasePageInfo implements Serializable {

    /**
     * 每页显示条数，默认 10
     */
    @ApiModelProperty(value = "每页显示条数，默认 10")
    private long size = 10;

    /**
     * 当前页
     */
    @ApiModelProperty(value = "排序字段信息")
    private long current = 1;

    /**
     * 排序字段信息
     */
    @ApiModelProperty(value = "排序字段信息")
    private List<BaseOrderInfo> orders = new ArrayList<>();

    /**
     * 是否进行 count 查询
     */
    @ApiModelProperty(value = "是否进行 count 查询 默认true")
    private boolean isSearchCount = true;

}
