package com.ruoyi.common.core.domain;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 编码 描述 枚举
 */
@Getter
@AllArgsConstructor
public enum CodeMsg implements ErrorEnum{

    CODE_MSG_100(100, "操作成功"),

    //系统级别 1xx
    CODE_MSG_101(101, "参数错误"),

    CODE_MSG_102(102, "签名校验失败"),
    CODE_MSG_103(103, "登录信息过期,请重新登录"),
    CODE_MSG_104(104, "禁止重复提交，请稍后再试"),
    CODE_MSG_105(105, "用户不存在"),

    //用户token 11x
    CODE_MSG_110(110, "参数不能为空"),
    CODE_MSG_111(111, "时间戳过期"),
    CODE_MSG_112(112, "重复请求"),
    CODE_MSG_113(113, "验签失败"),
    CODE_MSG_114(114, "解析用户手机号失败"),

    CODE_MSG_199(199, "未知异常"),


    //业务级别 2xx
    CODE_MSG_201(201, "账号或密码不正确"),
    CODE_MSG_202(202,"验证码错误"),
    CODE_MSG_221(221, "TOKEN已过期"),

    //业务级别 3xx
    CODE_MSG_301(301, "员工不存在"),
    CODE_MSG_302(302, "您办理的号码不是黑龙江号码!"),
    CODE_MSG_303(303, "您的号码与向您推荐业务的朋友非同一城市，办理失败。!"),
    CODE_MSG_304(304, "没有找到对应的产品!"),

    //业务级别 4xx
    StatusMsg_403(403, "xxxx"),
    StatusMsg_404(404, "数据不存在"),
    StatusMsg_405(405, "服务器错误%s"),
    StatusMsg_406(406, "%s 是非法的文件格式"),

    //宽带业务BOSS异常
    StatusMsg_KD_BOSS(501, "%s"),
    StatusMsg_KD_502(502, "未获取到您的当前主资费"),
    StatusMsg_KD_503(503, "您目前的手机账户余额为：%s元。您至少需交%s元话费方可参与本活动。"),
    StatusMsg_KD_504(504, "您暂无可办理的家庭网组。"),
    StatusMsg_KD_505(505, "未获取到您要添加的号码的详细信息！"),
    StatusMsg_KD_506(506, "账户状态为：%s。无法添加"),
    StatusMsg_KD_507(507, "家庭业务校验失败！"),
    StatusMsg_KD_508(508, "营销案办理失败:%s"),
    StatusMsg_KD_509(509, "选择要办理的业务错误，请刷新重试！"),


    ;

    private int code;
    private String msg;

    // 构造方法
    public static String getMsg(int code) {
        for (CodeMsg codeMsg : CodeMsg.values()) {
            if (codeMsg.code == code) {
                return codeMsg.msg;
            }
        }
        return null;
    }

}
