package com.ruoyi.system.mapper;

import java.util.List;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.system.domain.ComponentsLibrary;
import com.ruoyi.system.domain.TemplateLibrary;

/**
 * 红外遥控模板库Mapper接口
 * 
 * @author liming
 * @date 2023-07-12
 */
public interface TemplateLibraryMapper extends BaseMapper<TemplateLibrary> {
    /**
     * 查询红外遥控模板库
     * 
     * @param id 红外遥控模板库主键
     * @return 红外遥控模板库
     */
    public TemplateLibrary selectTemplateLibraryById(Long id);

    /**
     * 查询红外遥控模板库列表
     * 
     * @param templateLibrary 红外遥控模板库
     * @return 红外遥控模板库集合
     */
    public List<TemplateLibrary> selectTemplateLibraryList(TemplateLibrary templateLibrary);

    /**
     * 新增红外遥控模板库
     * 
     * @param templateLibrary 红外遥控模板库
     * @return 结果
     */
    public int insertTemplateLibrary(TemplateLibrary templateLibrary);

    /**
     * 修改红外遥控模板库
     * 
     * @param templateLibrary 红外遥控模板库
     * @return 结果
     */
    public int updateTemplateLibrary(TemplateLibrary templateLibrary);

    /**
     * 删除红外遥控模板库
     * 
     * @param id 红外遥控模板库主键
     * @return 结果
     */
    public int deleteTemplateLibraryById(Long id);

    /**
     * 批量删除红外遥控模板库
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTemplateLibraryByIds(Long[] ids);
}
