package com.ruoyi.system.service;


import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.system.domain.BasicLibrary;
import com.ruoyi.system.domain.ComponentsLibrary;

import java.util.List;

/**
 * 红外遥控基础库管理Service接口
 * 
 * @author liming
 * @date 2023-07-12
 */
public interface BasicLibraryService extends IService<BasicLibrary> {
    /**
     * 查询红外遥控基础库管理
     *
     * @param id 红外遥控基础库管理主键
     * @return 红外遥控基础库管理
     */
    public BasicLibrary selectBasicLibraryById(Long id);

    /**
     * 查询红外遥控基础库管理列表
     *
     * @param basicLibrary 红外遥控基础库管理
     * @return 红外遥控基础库管理集合
     */
    public List<BasicLibrary> selectBasicLibraryList(BasicLibrary basicLibrary);

    /**
     * 新增红外遥控基础库管理
     *
     * @param basicLibrary 红外遥控基础库管理
     * @return 结果
     */
    public int insertBasicLibrary(BasicLibrary basicLibrary);

    /**
     * 修改红外遥控基础库管理
     *
     * @param basicLibrary 红外遥控基础库管理
     * @return 结果
     */
    public int updateBasicLibrary(BasicLibrary basicLibrary);

    /**
     * 批量删除红外遥控基础库管理
     *
     * @param ids 需要删除的红外遥控基础库管理主键集合
     * @return 结果
     */
    public int deleteBasicLibraryByIds(Long[] ids);

    /**
     * 删除红外遥控基础库管理信息
     *
     * @param id 红外遥控基础库管理主键
     * @return 结果
     */
    public int deleteBasicLibraryById(Long id);

    List<BasicLibrary> getList();

}
