package com.ruoyi.system.service;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.system.domain.ComponentsLibrary;
import com.ruoyi.system.domain.QrLibrary;

/**
 * 红外遥控二维码Service接口
 * 
 * @author liming
 * @date 2023-07-12
 */
public interface QrLibraryService  extends IService<QrLibrary> {
    /**
     * 查询红外遥控二维码
     * 
     * @param id 红外遥控二维码主键
     * @return 红外遥控二维码
     */
    public QrLibrary selectQrLibraryById(Long id);

    /**
     * 查询红外遥控二维码列表
     * 
     * @param qrLibrary 红外遥控二维码
     * @return 红外遥控二维码集合
     */
    public List<QrLibrary> selectQrLibraryList(QrLibrary qrLibrary);

    /**
     * 新增红外遥控二维码
     * 
     * @param qrLibrary 红外遥控二维码
     * @return 结果
     */
    public int insertQrLibrary(QrLibrary qrLibrary);

    /**
     * 修改红外遥控二维码
     * 
     * @param qrLibrary 红外遥控二维码
     * @return 结果
     */
    public int updateQrLibrary(QrLibrary qrLibrary);

    /**
     * 批量删除红外遥控二维码
     * 
     * @param ids 需要删除的红外遥控二维码主键集合
     * @return 结果
     */
    public int deleteQrLibraryByIds(Long[] ids);

    /**
     * 删除红外遥控二维码信息
     * 
     * @param id 红外遥控二维码主键
     * @return 结果
     */
    public int deleteQrLibraryById(Long id);
}
