package com.ruoyi.system.service.impl;


import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.common.utils.DateUtils;
import com.ruoyi.system.domain.BasicLibrary;
import com.ruoyi.system.domain.ComponentsLibrary;
import com.ruoyi.system.mapper.BasicLibraryMapper;
import com.ruoyi.system.mapper.ComponentsLibraryMapper;
import com.ruoyi.system.service.BasicLibraryService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 红外遥控基础库管理Service业务层处理
 * 
 * @author liming
 * @date 2023-07-12
 */
@Service
public class BasicLibraryServiceImpl  extends ServiceImpl<BasicLibraryMapper, BasicLibrary> implements BasicLibraryService {
    @Autowired
    private BasicLibraryMapper basicLibraryMapper;

    /**
     * 查询红外遥控基础库管理
     * 
     * @param id 红外遥控基础库管理主键
     * @return 红外遥控基础库管理
     */
    @Override
    public BasicLibrary selectBasicLibraryById(Long id)
    {
        return basicLibraryMapper.selectBasicLibraryById(id);
    }

    /**
     * 查询红外遥控基础库管理列表
     * 
     * @param basicLibrary 红外遥控基础库管理
     * @return 红外遥控基础库管理
     */
    @Override
    public List<BasicLibrary> selectBasicLibraryList(BasicLibrary basicLibrary)
    {
        return basicLibraryMapper.selectBasicLibraryList(basicLibrary);
    }

    /**
     * 新增红外遥控基础库管理
     * 
     * @param basicLibrary 红外遥控基础库管理
     * @return 结果
     */
    @Override
    public int insertBasicLibrary(BasicLibrary basicLibrary)
    {
        basicLibrary.setCreateTime(DateUtils.getNowDate());
        return basicLibraryMapper.insertBasicLibrary(basicLibrary);
    }

    /**
     * 修改红外遥控基础库管理
     * 
     * @param basicLibrary 红外遥控基础库管理
     * @return 结果
     */
    @Override
    public int updateBasicLibrary(BasicLibrary basicLibrary)
    {
        basicLibrary.setUpdateTime(DateUtils.getNowDate());
        return basicLibraryMapper.updateBasicLibrary(basicLibrary);
    }

    /**
     * 批量删除红外遥控基础库管理
     * 
     * @param ids 需要删除的红外遥控基础库管理主键
     * @return 结果
     */
    @Override
    public int deleteBasicLibraryByIds(Long[] ids)
    {
        return basicLibraryMapper.deleteBasicLibraryByIds(ids);
    }

    /**
     * 删除红外遥控基础库管理信息
     * 
     * @param id 红外遥控基础库管理主键
     * @return 结果
     */
    @Override
    public int deleteBasicLibraryById(Long id)
    {
        return basicLibraryMapper.deleteBasicLibraryById(id);
    }

    @Override
    public List<BasicLibrary> getList() {
        return basicLibraryMapper.getList();
    }
}
