package com.ruoyi.system.service.impl;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.common.utils.DateUtils;
import com.ruoyi.system.domain.ComponentsLibrary;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.ComponentsLibraryMapper;
import com.ruoyi.system.service.ComponentsLibraryService;

/**
 * 红外遥控组件库Service业务层处理
 * 
 * @author liming
 * @date 2023-07-12
 */
@Service
public class ComponentsLibraryServiceImpl extends ServiceImpl<ComponentsLibraryMapper, ComponentsLibrary> implements ComponentsLibraryService {
    @Autowired
    private ComponentsLibraryMapper componentsLibraryMapper;

    /**
     * 查询红外遥控组件库
     * 
     * @param id 红外遥控组件库主键
     * @return 红外遥控组件库
     */
    @Override
    public ComponentsLibrary selectComponentsLibraryById(Long id)
    {
        return componentsLibraryMapper.selectComponentsLibraryById(id);
    }

    /**
     * 查询红外遥控组件库列表
     * 
     * @param componentsLibrary 红外遥控组件库
     * @return 红外遥控组件库
     */
    @Override
    public List<ComponentsLibrary> selectComponentsLibraryList(ComponentsLibrary componentsLibrary)
    {
        return componentsLibraryMapper.selectComponentsLibraryList(componentsLibrary);
    }

    /**
     * 新增红外遥控组件库
     * 
     * @param componentsLibrary 红外遥控组件库
     * @return 结果
     */
    @Override
    public int insertComponentsLibrary(ComponentsLibrary componentsLibrary)
    {
        componentsLibrary.setCreateTime(DateUtils.getNowDate());
        return componentsLibraryMapper.insertComponentsLibrary(componentsLibrary);
    }

    /**
     * 修改红外遥控组件库
     * 
     * @param componentsLibrary 红外遥控组件库
     * @return 结果
     */
    @Override
    public int updateComponentsLibrary(ComponentsLibrary componentsLibrary)
    {
        componentsLibrary.setUpdateTime(DateUtils.getNowDate());
        return componentsLibraryMapper.updateComponentsLibrary(componentsLibrary);
    }

    /**
     * 批量删除红外遥控组件库
     * 
     * @param ids 需要删除的红外遥控组件库主键
     * @return 结果
     */
    @Override
    public int deleteComponentsLibraryByIds(Long[] ids)
    {
        return componentsLibraryMapper.deleteComponentsLibraryByIds(ids);
    }

    /**
     * 删除红外遥控组件库信息
     * 
     * @param id 红外遥控组件库主键
     * @return 结果
     */
    @Override
    public int deleteComponentsLibraryById(Long id)
    {
        return componentsLibraryMapper.deleteComponentsLibraryById(id);
    }
}
