package com.ruoyi.system.service.impl;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.common.utils.DateUtils;
import com.ruoyi.system.domain.ComponentsLibrary;
import com.ruoyi.system.mapper.ComponentsLibraryMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.QrLibraryMapper;
import com.ruoyi.system.domain.QrLibrary;
import com.ruoyi.system.service.QrLibraryService;

/**
 * 红外遥控二维码Service业务层处理
 * 
 * @author liming
 * @date 2023-07-12
 */
@Service
public class QrLibraryServiceImpl  extends ServiceImpl<QrLibraryMapper, QrLibrary> implements QrLibraryService {
    @Autowired
    private QrLibraryMapper qrLibraryMapper;

    /**
     * 查询红外遥控二维码
     * 
     * @param id 红外遥控二维码主键
     * @return 红外遥控二维码
     */
    @Override
    public QrLibrary selectQrLibraryById(Long id)
    {
        return qrLibraryMapper.selectQrLibraryById(id);
    }

    /**
     * 查询红外遥控二维码列表
     * 
     * @param qrLibrary 红外遥控二维码
     * @return 红外遥控二维码
     */
    @Override
    public List<QrLibrary> selectQrLibraryList(QrLibrary qrLibrary)
    {
        return qrLibraryMapper.selectQrLibraryList(qrLibrary);
    }

    /**
     * 新增红外遥控二维码
     * 
     * @param qrLibrary 红外遥控二维码
     * @return 结果
     */
    @Override
    public int insertQrLibrary(QrLibrary qrLibrary)
    {
        qrLibrary.setCreateTime(DateUtils.getNowDate());
        return qrLibraryMapper.insertQrLibrary(qrLibrary);
    }

    /**
     * 修改红外遥控二维码
     * 
     * @param qrLibrary 红外遥控二维码
     * @return 结果
     */
    @Override
    public int updateQrLibrary(QrLibrary qrLibrary)
    {
        qrLibrary.setUpdateTime(DateUtils.getNowDate());
        return qrLibraryMapper.updateQrLibrary(qrLibrary);
    }

    /**
     * 批量删除红外遥控二维码
     * 
     * @param ids 需要删除的红外遥控二维码主键
     * @return 结果
     */
    @Override
    public int deleteQrLibraryByIds(Long[] ids)
    {
        return qrLibraryMapper.deleteQrLibraryByIds(ids);
    }

    /**
     * 删除红外遥控二维码信息
     * 
     * @param id 红外遥控二维码主键
     * @return 结果
     */
    @Override
    public int deleteQrLibraryById(Long id)
    {
        return qrLibraryMapper.deleteQrLibraryById(id);
    }
}
