package com.ruoyi.system.service.impl;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.common.utils.DateUtils;
import com.ruoyi.system.domain.ComponentsLibrary;
import com.ruoyi.system.mapper.ComponentsLibraryMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.TemplateLibraryMapper;
import com.ruoyi.system.domain.TemplateLibrary;
import com.ruoyi.system.service.TemplateLibraryService;

/**
 * 红外遥控模板库Service业务层处理
 * 
 * @author liming
 * @date 2023-07-12
 */
@Service
public class TemplateLibraryServiceImpl  extends ServiceImpl<TemplateLibraryMapper, TemplateLibrary> implements TemplateLibraryService
{
    @Autowired
    private TemplateLibraryMapper templateLibraryMapper;

    /**
     * 查询红外遥控模板库
     * 
     * @param id 红外遥控模板库主键
     * @return 红外遥控模板库
     */
    @Override
    public TemplateLibrary selectTemplateLibraryById(Long id)
    {
        return templateLibraryMapper.selectTemplateLibraryById(id);
    }

    /**
     * 查询红外遥控模板库列表
     * 
     * @param templateLibrary 红外遥控模板库
     * @return 红外遥控模板库
     */
    @Override
    public List<TemplateLibrary> selectTemplateLibraryList(TemplateLibrary templateLibrary)
    {
        return templateLibraryMapper.selectTemplateLibraryList(templateLibrary);
    }

    /**
     * 新增红外遥控模板库
     * 
     * @param templateLibrary 红外遥控模板库
     * @return 结果
     */
    @Override
    public int insertTemplateLibrary(TemplateLibrary templateLibrary)
    {
        templateLibrary.setCreateTime(DateUtils.getNowDate());
        return templateLibraryMapper.insertTemplateLibrary(templateLibrary);
    }

    /**
     * 修改红外遥控模板库
     * 
     * @param templateLibrary 红外遥控模板库
     * @return 结果
     */
    @Override
    public int updateTemplateLibrary(TemplateLibrary templateLibrary)
    {
        templateLibrary.setUpdateTime(DateUtils.getNowDate());
        return templateLibraryMapper.updateTemplateLibrary(templateLibrary);
    }

    /**
     * 批量删除红外遥控模板库
     * 
     * @param ids 需要删除的红外遥控模板库主键
     * @return 结果
     */
    @Override
    public int deleteTemplateLibraryByIds(Long[] ids)
    {
        return templateLibraryMapper.deleteTemplateLibraryByIds(ids);
    }

    /**
     * 删除红外遥控模板库信息
     * 
     * @param id 红外遥控模板库主键
     * @return 结果
     */
    @Override
    public int deleteTemplateLibraryById(Long id)
    {
        return templateLibraryMapper.deleteTemplateLibraryById(id);
    }
}
